XIncludeFile "xcwidget.header.pb"

Define.i nWindowID, nBtnExclusiveID
Define   *objWidget1, *objWidget2, *objWidget3, *objWidget4

nWindowID = OpenWindow (#PB_Any, #PB_Ignore, #PB_Ignore, 640, 440, "xcWidget example", #PB_Window_ScreenCentered |#PB_Window_SystemMenu)

*objWidget1 = xcWidget_create (WindowID (nWindowID), 10, 10, 180, 120, "Login")
*objWidget2 = xcWidget_create (WindowID (nWindowID), 10, 200, 180, 165, "Functions")
*objWidget3 = xcWidget_create (WindowID (nWindowID), 10, 390, 180, 110, "Search")
*objWidget4 = xcWidget_create (WindowID (nWindowID), 10, 580, 180, 135, "Status")
; Handle of the parent window ________|               |   |    |     |     |
; X coordinate _______________________________________|   |    |     |     |
; Y coordinate ___________________________________________|    |     |     |
; width _______________________________________________________|     |     |
; height ____________________________________________________________|     |
; title string ____________________________________________________________|

UseGadgetList (xcWidget_getClientAreaHandle (*objWidget1))
TextGadget (#PB_Any, 0, 5, 60, 20, "Username:")
TextGadget (#PB_Any, 0, 30, 60, 20, "Password:")
StringGadget (#PB_Any, 65, 0, 100, 20, "")
StringGadget (#PB_Any, 65, 25, 100, 20, "")
ButtonGadget (#PB_Any, 0, 55, 100, 20, "Login")

UseGadgetList (xcWidget_getClientAreaHandle (*objWidget2))
ButtonGadget (#PB_Any, 0, 5, 170, 20, "Customers")
ButtonGadget (#PB_Any, 0, 30, 170, 20, "Articles")
ButtonGadget (#PB_Any, 0, 55, 170, 20, "Articles I/O")
ButtonGadget (#PB_Any, 0, 80, 170, 20, "Store")
ButtonGadget (#PB_Any, 0, 105, 170, 20, "Statistics")

UseGadgetList (xcWidget_getClientAreaHandle (*objWidget3))
TextGadget (#PB_Any, 0, 5, 60, 20, "Search:")
StringGadget (#PB_Any, 0, 25, 170, 20, "")
ButtonGadget (#PB_Any, 0, 50, 100, 20, "Start")

UseGadgetList (xcWidget_getClientAreaHandle (*objWidget4))
TextGadget (#PB_Any, 0, 5, 170, 20, "Dealers online: 4929")
TextGadget (#PB_Any, 0, 30, 170, 20, "Sales today: 881223")
TextGadget (#PB_Any, 0, 55, 170, 20, "Transactions: 54.002,34 ")
TextGadget (#PB_Any, 0, 80, 170, 20, "Top saler: T.C.Baker")

xcWidget_arrange (10, 10, 5, *objWidget1)

UseGadgetList (WindowID (nWindowID))
nBtnExclusiveID = ButtonGadget (#PB_Any, 200, 10 , 90, 80, "Exclusive mode" + #LF$ + "On/Off", #PB_Button_Toggle | #PB_Button_MultiLine)


Repeat
   Select WaitWindowEvent ()
      Case #PB_Event_CloseWindow
         xcWidget_free (*objWidget1)
         xcWidget_free (*objWidget2)
         xcWidget_free (*objWidget3)
         xcWidget_free (*objWidget4)
         End
      
      Case xcWidget_eventID ()
         xcWidget_arrange (10, 10, 5, EventwParam (), GetGadgetState (nBtnExclusiveID))
; X coordinate _____________|   |  |     |                |
; Y coordinate _________________|  |     |                |
; Margin __________________________|     |                |
; Widget which has the focus ____________|                |
; Exclusive mode flag ____________________________________|

   EndSelect
ForEver

; IDE Options = PureBasic 4.41 (Windows - x86)
; CursorPosition = 60
; EnableXP
; CurrentDirectory = C:\Program Files (x86)\PureBasic\
; CompileSourceDirectory